/*
Nome: Mario
Cognome: Montanari

Scrivere una funzione che stampi tutti i codici ASCII:
   - attenzione ai caratteri non stampabili;
*/

#include <iostream>
#include <numeric>

#define SIZE 94

using namespace std;

void stampaArrayChr(char *arrChr, int size);

int main(void) {
	char arrChr[SIZE];
	// int nChr = sizeof(arrChr) / sizeof(arrChr[0]);
	
	// iota(arrChr, arrChr + nChr, '!');
	
	stampaArrayChr(arrChr, SIZE);

	return 0;
}

void stampaArrayChr(char *arrChr, int size) {
	for (int i = 0; i < SIZE; i++) {
		arrChr[i] = '!';
		arrChr[i] = arrChr[i] + i;
	}
	
	for (int i = 0; i < size; i++) {
		cout << arrChr[i] << " ";
	}
	cout << endl;
}